> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Telemetry data from Prometheus. If start and end is set to millis, histogram response will 'extends bounds'



## OpenAPI

````yaml /openapi.json post /api/v1/tenant/telemetry
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/tenant/telemetry:
    post:
      tags:
        - Tenant Route
      summary: >-
        Telemetry data from Prometheus. If start and end is set to millis,
        histogram response will 'extends bounds'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TelemetryRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageHistogramDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    TelemetryRequestDto:
      required:
        - metric
        - start
        - step
      type: object
      properties:
        metric:
          description: Metric for the MetricsQL expression
          minLength: 1
          type: string
          example: haas_interceptor_messages_succeeded_total
        tags:
          description: Tags of the MetricsQL expression
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          example:
            chain:
              - ethereum
              - vechain
            type:
              - TRANSACTION
        start:
          description: >-
            Starting timestamp of the time range for query evaluation, string
            date math or ms. Example: -1d, 1725656400000
          type: string
          example: '-1d'
        end:
          description: >-
            Ending timestamp of the time range for query evaluation, string date
            math or ms. If the end isn’t set, then the end is automatically set
            to the current time. Example: now, 1726229909672
          type: string
          example: now
        step:
          description: The interval between data points
          type: string
          example: 1h
    UsageHistogramDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/UsageHistogramBucketDto'
    UsageHistogramBucketDto:
      type: object
      properties:
        ts:
          format: int64
          description: Timestamp milliseconds for this histogram bucket
          type: integer
        bucket:
          description: Histogram bucket data for different keys
          type: object
          additionalProperties:
            $ref: '#/components/schemas/HistogramBucketDataDto'
    HistogramBucketDataDto:
      type: object
      properties:
        count:
          format: int64
          description: Total count of alerts for this histogram bucket
          type: integer
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````